## aspectratiocrop aspectratiocrop — Crops video into a user-defined aspect-ratio |

## Properties

GstFraction | aspect-ratio | Read / Write

## Types and Values

struct | GstAspectRatioCrop

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBin
                        ╰── GstAspectRatioCrop

## Implemented Interfaces

GstAspectRatioCrop implements GstChildProxy.

## Description

This element crops video frames to a specified “aspect-ratio”.

If the aspect-ratio is already correct, the element will operate in pass-through mode.

### Example launch line

    1
    gst-launch-1.0 -v videotestsrc ! video/x-raw,height=640,width=480 ! aspectratiocrop aspect-ratio=16/9 ! ximagesink

This pipeline generates a videostream in 4/3 and crops it to 16/9.

## Synopsis

### Element Information

plugin | videocrop
author | Thijs Vermeir <thijsvermeir@gmail.com>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ RGBx, xRGB, BGRx, xBGR, RGBA, ARGB, BGRA, ABGR, RGB, BGR, AYUV, YUY2, YVYU, UYVY, I420, YV12, RGB16, RGB15, GRAY8, NV12, NV21, GRAY16_LE, GRAY16_BE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ RGBx, xRGB, BGRx, xBGR, RGBA, ARGB, BGRA, ABGR, RGB, BGR, AYUV, YUY2, YVYU, UYVY, I420, YV12, RGB16, RGB15, GRAY8, NV12, NV21, GRAY16_LE, GRAY16_BE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstAspectRatioCrop

    struct GstAspectRatioCrop;

## Property Details

### The `“aspect-ratio”` property

      “aspect-ratio”             GstFraction

Target aspect-ratio of video.

Flags: Read / Write

## See Also

GstVideoCrop